import { request } from '@/api/request2.js'

// 查询服务企业名录库列表
export function listDirectory(query) {
  return request({
    url: '/mudu/directory/list',
    method: 'get',
    params: query,
  })
}

// 查询服务企业名录库详细
export function getDirectory(id) {
  return request({
    url: '/mudu/directory/' + id,
    method: 'get',
  })
}

// 新增服务企业名录库
export function addDirectory(data) {
  return request({
    url: '/mudu/directory',
    method: 'post',
    data: data,
  })
}

// 修改服务企业名录库
export function updateDirectory(data) {
  return request({
    url: '/mudu/directory',
    method: 'put',
    data: data,
  })
}

// 删除服务企业名录库
export function delDirectory(id) {
  return request({
    url: '/mudu/directory/' + id,
    method: 'delete',
  })
}
